<?php
/**
 * The template for displaying comments
 *
 * This is the template that displays the area of the page that contains both the current comments
 * and the comment form.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Hostix
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() ) {
	return;
}
?>

<div id="comments" class="comments-wrap">

	<?php
	// You can start editing here -- including this comment!
	if ( have_comments() ) :
		?>
		<div class="comments-area">
		<h5 class="comments-title group-title">
			<?php
			$hostix_comment_count = get_comments_number();
			if ( '1' === $hostix_comment_count ) {
				printf(
					/* translators: 1: title. */
					esc_html__( 'One thought on &ldquo;%1$s&rdquo;', 'hostix' ),
					'<span>' . wp_kses_post( get_the_title() ) . '</span>'
				);
			} else {
				printf( 
					/* translators: 1: comment count number, 2: title. */
					esc_html( _nx( '%1$s Comment', '%1$s Comments', $hostix_comment_count, 'comments title', 'hostix' ) ),
					number_format_i18n( $hostix_comment_count ), // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
					'<span>' . wp_kses_post( get_the_title() ) . '</span>'
				);
			}
			?>
		</h5><!-- .comments-title -->
			<?php the_comments_navigation(); ?>
			<ol class="comment-list">
				<?php
				wp_list_comments(
					array(
						'callback' => 'hostix_comments',
					)
				);
				?>
			</ol><!-- .comment-list -->
			</div>

		<?php
		the_comments_navigation();

		// If comments are closed and there are comments, let's leave a little note, shall we?
		if ( ! comments_open() ) :
			?>
			<p class="no-comments"><?php esc_html_e( 'Comments are closed.', 'hostix' ); ?></p>
			<?php
		endif;

	endif; // Check for have_comments().
	$args = array(
		'comment_notes_after' => '<div class="button-box"><button class="theme-btn btn-style-one" type="submit" id="submit-new"><span class="btn-wrap"><span class="text-one">'.esc_html('Post Comment').'</span><span class="text-two">'.esc_html('Post Comment').'</span></span></button></div>' 
	);
	comment_form($args);
	?>

</div><!-- #comments -->
